<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:java="http://xml.apache.org/xslt/java"
        xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
        xmlns:gslib="http://www.greenstone.org/skinning"
        xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
        extension-element-prefixes="java util"
        exclude-result-prefixes="java util gsf">

  <!-- override the documentNodeText template as we want to hide the text unless pj.displayText metadata is set to true. -->

  <!-- The default template for displaying the document node text -->
  <!-- equivalent to gsf:text -->
  <xsl:template name="documentNodeText">
    <xsl:variable name="displayText"><gsf:metadata name="pj.DisplayText"/></xsl:variable>
    <xsl:if test="$displayText = 'true'">	
        <!-- Section text -->
        <xsl:for-each select="nodeContent">
          <xsl:for-each select="node()">
            <xsl:choose>
              <xsl:when test="not(name())">
                <xsl:value-of select="." disable-output-escaping="yes"/>
              </xsl:when>
              <xsl:when test="name() = 'annotation'">
                <xsl:call-template name="displayAnnotation"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:apply-templates/>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:for-each>
        </xsl:for-each>
    </xsl:if>
    <xsl:text> </xsl:text>
  </xsl:template>
  
</xsl:stylesheet>
